#pragma once

#include "GameState.h"
#include <vector>
#include <stack>

using namespace std;

class GameStateManager
{
public:
	GameStateManager(void);
	~GameStateManager(void);

	void AddGameState(GameState* gameState);

	void IntroState(wstring name);
	void OutroState();

	void Update(float dt);
	void Draw(float dt);

private:
	vector<GameState*> gameStates;
	stack<GameState*> statesStack;
};